import Taro, { getCurrentPages } from "@tarojs/taro";
import { login } from '../../utils/servers/servers'
/**
 * @description 获取当前页url
 */
export const getCurrentPageUrl = () => {
  let pages = Taro.getCurrentPages()
  let currentPage = pages[pages.length - 2]
  let url = currentPage.route
  return url
};

export const pageToLogin = async () => {
  Taro.closeSocket();
  Taro.redirectTo({
    url: '/pages/login/index'
  })

  // if (!path.includes('login')) {
  //   setTimeout(async ()=>{
  //     Taro.showLoading({title: '重新登录中...',})
  //     setTimeout(async ()=>{
  //       let loginMsg = await Taro.login();
  //       if (loginMsg.code) {
  //         try{
  //           let msg = await login({code:loginMsg.code});
  //           if(msg.error.length === 0){
  //             Taro.setStorageSync('token', msg.token);
  //             Taro.showToast({title:'登录成功',icon:'success'});
  //             Taro.startPullDownRefresh();
  //           }else{
  //             Taro.showToast({title:msg.error[0].message,icon:'none'})
  //           }
  //         }catch (err) {
  //           Taro.showToast({title:'系统错误,请稍后重试',icon:'none'});
  //         }
  //       } else {
  //         Taro.showToast({title:loginMsg.errMsg,icon:'none'})
  //       }
  //       Taro.hideLoading();
  //     },800)
  //   },800)
  //
  // }
}

export const throttle = (cd, time = 2000) => {
  var t = null;
  return function () {
    if (t) return;
    t = setTimeout(() => {
      cd.call(this);
      t = null;
    }, time);
  }
}